Subject: Re: [bug#76411] [PATCH] gnu: mesa: Update to 24.3.4.
From: John Kehayias <[email-masked]>
To: outlook user <[email-masked]>
Cc: [email-masked], "[email-masked]" <[email-masked]>
Date: Mon, 09 Jun 2025 17:14:03 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Mar 28, 2025 at 11:38 AM, John Kehayias wrote:

> Hello,
>
> On Sun, Mar 16, 2025 at 11:53 PM, outlook user wrote:
>
>> It's to correct
>> https://discussion.fedoraproject.org/t/gnome-shell-segfault-mesa-24-3-2-1-vbox-guest-vmsvga-fedora-41-workstation/141936/5
>> ?
>>
>> Why wasn't it pushed into master?
>>
>
> Mesa updates can't be pushed to master directly due to the large number
> of rebuilds (~6k if I remember). I have a series at
> https://issues.guix.gnu.org/77339 that is built on the mesa-updates
> branch bringing mesa up to the latest (25.0.2). I'm not sure how long
> until that gets to master but you can use that branch directly if you want.
>

Closing this as a newer mesa is on mesa-updates and it will be merged to
mesa shortly (possibly today). Thanks for your patience!

>>    Gnome-shell segfault: mesa 24.3.2-1, vbox guest, VMSVGA, fedora 41 workstation
>>    Looks like we crossed the streams. I just created a Mesa bug
>> report as well Mesa 24.4.2 causing
>>    gnome-shell to crash in VMware virtual machine (#12448) · Issues
>> · Mesa / mesa · GitLab - I suspect
>>    that this issue impacts both x86_64 and aarch64 architecture
>> VMware virtual machines (I’m running on
>>    VMware Fusion with F41 aarch64 and seeing the same thing). I
>> think this is impacting Rawhide as well
>>    as F41. I’m seeing the same gnome-shell crash there.
>>    discussion.fedoraproject.org
>> *
>
> If this is a serious bug, we could graft mesa to the latest 24.3.x in
> the meantime, if you would like to submit a patch for that.
>
> John